JDBC20DataHandler (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class JDBC20DataHandler

    java.lang.Object
      |
      +--com.ziclix.python.sql.DataHandler
            |
            +--com.ziclix.python.sql.FilterDataHandler
                  |
                  +--com.ziclix.python.sql.JDBC20DataHandler

public class JDBC20DataHandler
extends FilterDataHandler

Support for JDBC 2.x type mappings, including Arrays, CLOBs and BLOBs.

Version:
  $Revision: 1.1 $
Author:
  brian zimmer
, last revised by $Author: bzimmer $

Constructor Summary
`JDBC20DataHandler(DataHandler datahandler)` Handle JDBC 2.0 datatypes.

Method Summary
`PyObject` | `getPyObject(java.sql.ResultSet set, int col, int type)` Get the object from the result set.
`void` | `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object, int type)` Handle CLOBs and BLOBs.

Methods inherited from class com.ziclix.python.sql.FilterDataHandler
`getRowId, postExecute, preExecute, setJDBCObject`

Methods inherited from class com.ziclix.python.sql.DataHandler
`checkNull, getMetaDataName, getProcedureName, getPyObject, read, read, registerOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBC20DataHandler

    public JDBC20DataHandler(DataHandler datahandler)

  Handle JDBC 2.0 datatypes.

Method Detail

### setJDBCObject

    public void setJDBCObject(java.sql.PreparedStatement stmt,
                              int index,
                              PyObject object,
                              int type)
                       throws java.sql.SQLException

  Handle CLOBs and BLOBs.

  Overrides:
    `setJDBCObject` in class `FilterDataHandler`
  Parameters:
    `stmt` -
    `index` -
    `object` -
    `type` -
  Throws:
    `java.sql.SQLException`

### getPyObject

    public PyObject getPyObject(java.sql.ResultSet set,
                                int col,
                                int type)
                         throws java.sql.SQLException

  Get the object from the result set.

  Overrides:
    `getPyObject` in class `FilterDataHandler`
  Parameters:
    `set` -
    `col` -
    `type` -
  Returns:
    a Python object
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage